package ir.android_studio.vibrator;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Context;
import android.os.Build;
import android.os.Bundle;
import android.os.VibrationEffect;
import android.os.Vibrator;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {

    Button simpleButton, patternButton, cancelButton;
    Vibrator mVibrator;
    long[] vibratePattern = {0,200,400,200,300,200,500,200,500,200,200,1000};
    long[] vibratePatternTwo = {0,200,0};

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mVibrator = (Vibrator) getSystemService(Context.VIBRATOR_SERVICE);
        simpleButton = findViewById(R.id.simple_vibrator);
        patternButton = findViewById(R.id.pattern_vibrator);
        cancelButton = findViewById(R.id.cancel_vibrator);

        simpleButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                if (Build.VERSION.SDK_INT >= 26) {

                    mVibrator.vibrate(VibrationEffect.createOneShot(300, VibrationEffect.DEFAULT_AMPLITUDE));

                } else {

                    mVibrator.vibrate(300);

                }

            }
        });

        patternButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                if  (Build.VERSION.SDK_INT >= 29) {

                    mVibrator.vibrate(VibrationEffect.createPredefined(VibrationEffect.EFFECT_DOUBLE_CLICK));

                } else if (Build.VERSION.SDK_INT >= 26) {

                    mVibrator.vibrate(VibrationEffect.createWaveform(vibratePattern, -1));

                } else {

                    mVibrator.vibrate(vibratePattern, -1);

                }

            }
        });

        cancelButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                if (mVibrator.hasVibrator()) {
                    mVibrator.cancel();
                }

            }
        });

    }
}
